Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.persistence
Class BindingsCache

    java.lang.Object
      de.grogra.persistence.BindingsCache

    public final class BindingsCache

extends java.lang.Object

Field Summary
`static int` | `SO_PROVIDER`
`static int` | `STRING`
`static int` | `TYPE`

Constructor Summary
`BindingsCache(PersistenceBindings bindings, short cacheId)`

Method Summary
`PersistenceBindings` | `getBindings()`
`short` | `getCacheId()`
`int` | `getHandle(ManageableType type)`
`int` | `getHandle(SharedObjectProvider provider)`
`SharedObjectProvider` | `getSOProvider(int handle)`
`java.lang.String` | `getString(int handle)`
`ManageableType` | `getType(int handle)`
`SharedObjectProvider` | `readSOProvider(PersistenceInputStream in)`
`ManageableType` | `readType(PersistenceInputStream in)`
`void` | `write(ManageableType type, PersistenceOutputStream out)`
`void` | `write(SharedObjectProvider provider, PersistenceOutputStream out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SO_PROVIDER

    public static final int SO_PROVIDER

See Also:
  Constant Field Values

### STRING

    public static final int STRING

See Also:
  Constant Field Values

### TYPE

    public static final int TYPE

See Also:
  Constant Field Values

Constructor Detail

### BindingsCache

    public BindingsCache(PersistenceBindings bindings,
                         short cacheId)

Method Detail

### getBindings

    public PersistenceBindings getBindings()

### getCacheId

    public short getCacheId()

### getHandle

    public int getHandle(ManageableType type)

### getHandle

    public int getHandle(SharedObjectProvider provider)

### getSOProvider

    public SharedObjectProvider getSOProvider(int handle)

### getString

    public java.lang.String getString(int handle)

### getType

    public ManageableType getType(int handle)

### readSOProvider

    public SharedObjectProvider readSOProvider(PersistenceInputStream in)
                                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### readType

    public ManageableType readType(PersistenceInputStream in)
                            throws java.io.IOException

  Throws:
    `java.io.IOException`

### write

    public void write(ManageableType type,
                      PersistenceOutputStream out)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### write

    public void write(SharedObjectProvider provider,
                      PersistenceOutputStream out)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD